Skip to main content
POST
/
v3
/
llm-gateway
/
test-connection
Test LLM connection
curl --request POST \
  --url https://{host}/v3/llm-gateway/test-connection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "openai/gpt-4o",
  "credential_uuid": "550e8400-e29b-41d4-a716-446655440001"
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "success": true,
    "model": "openai/gpt-4o",
    "message": "Connection successful",
    "response_time_ms": 842
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for testing an LLM Gateway connection

model_id
string
required

Provider/model string (e.g. 'openai/gpt-4o')

Example:

"openai/gpt-4o"

credential_uuid
string<uuid>
required

UUID of the credential to use for the test

Example:

"550e8400-e29b-41d4-a716-446655440001"

Response

LLM call was attempted — check success field for result

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
LLM Gateway Test Response · object

Result of an LLM Gateway connection test